Page MenuHomePhabricator

Fix user script issues (deprecations) on Wikimedia Commons
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2017, 1:19 PM
Aklapper renamed this task from Fix deprecations on Wikimedia Commons to Fix user script issues (deprecations) on Wikimedia Commons.Aug 25 2017, 1:43 PM

I edited the task summary as I assume you are after fixing the actual issues in the user scripts (which happened due to ignoring deprecation warnings)? :)

I edited the task summary as I assume you are after fixing the actual issues in the user scripts (which happened due to ignoring deprecation warnings)? :)

Exactly. Created this bug to have the issue tracked somewhere. Thanks! :)

Trizek-WMF updated the task description. (Show Details)

I've left a message on the User Script project on Commons (seems to be dead a bit :/) and pinged Community Tech people on IRC.

My advice to @Steinsplitter on IRC was to check who are the last editors of each broken scripts and ping them on their talk page.

It's basically a dependency issue. They depend on gadget libWikiDOM, which depends on the removed module jquery.mwExtension (see 3863dd2). I dunno what jquery.mwExtension does so dare not simply remove it from the dependency chain. I've pinged @Krinkle on-wiki and Steiny notified them on their talk page, but so far no response.

Pyb added a subscriber: Pyb.Aug 25 2017, 8:01 PM

It's basically a dependency issue. They depend on gadget libWikiDOM, which depends on the removed module jquery.mwExtension (see 3863dd2). I dunno what jquery.mwExtension does so dare not simply remove it from the dependency chain. I've pinged @Krinkle on-wiki and Steiny notified them on their talk page, but so far no response.

The jquery.mwExtension module was deprecated in 2015. Any use of it will have been reporting deprecation messages to the browser console for 2 years. t is the responsibility of local admins and gadget maintainers to ensure local customisations keep pace with changes in the software (2 years seems like a very reasonable migration window).

In addition to announcements and deprecation messages, @Krenair and myself took it upon ourselves, as community members, to proactively crawl all 800+ Wikimedia wikis for any still-remaining use for this code and migrate each and every use of it. As of last week, there were 0 mentions of jquery.mwExtension in all .js pages in the MediaWiki namespace of any Wikimedia wiki. Pfew!

If any gadget broke as a result of the removal of this module, it is most likely either because it didn't declare its dependency, or because it was stored outside the MediaWiki-namespace.

In the case of the libWikiDOM gadget on Wikimedia Commons, it seems @Rillke did find the deprecation message back in 2015 and quickly addressed it by updating the code to use the newer mw.RegExp interface instead (diff 164697547), however it seems they forgot to update the Gadget definition where the dependency was still declared. I've gone ahead and fixed it now. (diff 256348772)

RP88 added a subscriber: RP88.Aug 25 2017, 9:22 PM
Jc86035 triaged this task as Unbreak Now! priority.Aug 26 2017, 4:06 AM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptAug 26 2017, 4:06 AM
Steinsplitter closed this task as Resolved.Aug 28 2017, 4:39 PM
Steinsplitter claimed this task.

Thanks @Krinkle , You'r help was appreciated :)

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Aug 31 2017, 12:34 AM